Subject: Re: frequent crashes with perl under win98
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: Johann Petrak <[email-masked]>, "Pierre A . Humblet" <[email-masked]>, Nicholas Wourms <[email-masked]>
Date: Tue, 8 Apr 2003 08:14:25 +0200

Hallo Christopher,

Johann wrote:
>>> I am getting frequent crashes with perl under Windows 98: packages
>>> Pod::Usage and POSIX seem to cause all kinds of crashes in subsequent
>>> code only by using them. The same perl programs work flawlessly on
>>> a Windows NT system.

>>> Crashes occur in CWD.dll and POSIX.dll

>>> I have perl 5.8.0-2 installed on the Window 98 system.

you wrote:
> Do you have a version of perl with debugging symbols that could be
> used?  Then you could do something like:

> set CYGWIN=error_start=c:/cygwin/bin/gdb

> and when gdb pops up, type "bt" to get a stack trace.

My offer:
I'll build a debugging version of perl today and provide a link to
fetch the package, so every Win98 user (Nicholas, Pierre, Johann?)
who is interested may fetch it then.  Unfortunately I have no box
with Win98 available.

Does the debugger need the build tree with objects or is it enough
to install the source tree alongside the binaries?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/